uk.gov.hmrc.play.fsm

# JourneyModel

###
Related Doc: package fsm

#### trait JourneyModel extends AnyRef

JourneyModel is an abstract base of a process diagram definition in terms of Finite State Machine pattern.

See also

  https://brilliant.org/wiki/finite-state-machines/

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. JourneyModel
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1. #### class Merge[S <: State] extends AnyRef

2. #### abstract type State

3. #### class Transition extends AnyRef

4. #### case class TransitionNotAllowed(state: State, breadcrumbs: List[State], transition: Transition) extends Exception with Product with Serializable

### Abstract Value Members

1. #### abstract val root: State

   Where your journey starts by default

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### object Merge

   Merge builder

   Merge builder

   Attributes
     protected

5. #### object Transition

   Transition builder

   Transition builder

   Attributes
     protected

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

9. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

10. #### final def fail[T](exception: Exception): Future[T]

    Fail the transition

11. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

12. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

13. #### final def goto(state: State): Future[State]

    Replace the current state with the new one.

14. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

15. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

16. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

17. #### final def notify(): Unit

    Definition Classes
      AnyRef

18. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

19. #### final val start: Transition

    Built-in transition from anywhere to the root state

    Built-in transition from anywhere to the root state

    Attributes
      protected[uk.gov.hmrc.play.fsm]

20. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

21. #### def toString(): String

    Definition Classes
      AnyRef → Any

22. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

23. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

24. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from AnyRef

### Inherited from Any

### Ungrouped